<%= form_with(model: user, local: true, html: { class: "ui form" }) do |form| %>
  <% if user.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(user.errors.count, "error") %> prohibited this user from being saved:</h2>

      <ul>
      <% user.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="required <% if user.persisted? %>disabled<% end %> field">
    <%= label_tag :username,  t('user.username_label') %>
    <%= form.text_field :username %>
  </div>
  
  <div class="<% unless user.persisted? %>required<% end %> field">
    <%= label_tag :password, t('user.password_label') %>
    <%= form.password_field :password %>
  </div>

  <div class="inline fields">
    <label><%= t 'user.role_label' %></label>
    <% Role.all.each do |role| %>
      <div class="field">
        <div class="ui checkbox">
          <%= check_box_tag "user[role_ids][]", role.id, user.roles.include?(role), id: "user_role_id_#{role.id}" %>
          <%= label_tag role.name %>
        </div>
      </div>
    <% end %>
  </div>

  <div class="field">
    <%= label_tag(:active, "Active") %>
    <%= form.check_box :active %>
  </div>

  <%= form.submit "Submit", class: "ui positive button" %>
  <%= link_to cancel, class: "ui button" do %>
    <i class="chevron left icon"></i> Back
  <% end %>
<% end %>
